#ifndef MKISOFS
#define MKISOFS "/usr/local/bin/mkisofs"
#endif

#define ISO9660_a 1
#define ISO9660_D 1
#define ISO9660_d 1
#define ISO9660_f 0
#define ISO9660_L 0
#define ISO9660_l 0
#define ISO9660_N 1
#define ISO9660_R 1
#define ISO9660_r 1
#define ISO9660_T 1

static char *app_help = "{Specifies  a  text string that will be written into the\n\
volume header.  This should describe the application\n\
that will be on the disc.  There is space on the disc\n\
for 128 characters of  information.}";
static char *vol_help =  "{Specifies the volume ID to be written into the master \n\
block.There is space on the disc for 32 characters of\n\
information.}";
static char *prep_help = "{Specifies  a  text string that will be written into\n\
the volume header.  This should describe  the  preparer\n\
of the CDROM, usually with a mailing address\n\
and phone number.  There is space on the  disc  for\n\
128  characters of information.}";
static char *pub_help = "{Specifies a text string that will be  written  into\n\
the  volume  header.  This should describe the \n\
publisher of the CDROM, usually with a mailing address\n\
and  phone  number.  There is space on the disc for\n\
128 characters of information.}";
static char *a_help = "{Normally  files that contain the characters '~' or '#'\n\
will not be included (these  are  typically  backup\n\
files for editors under unix).}";
static char *b_help = "{Specifies  the  path and filename of the boot image\n\
to be used when making an \"El Torito\"  bootable  CD.\n\
This option is required to  make a bootable CD.  The\n\
boot image must be exactly the size of either a 1.2,\n\
1.44,  or a  2.88  meg floppy,  and mkisofs will use\n\
this size when creating the output iso9660 filesystem.\n\
It is assumed that  the first 512 byte sector should\n\
be  read  from the  boot image  (it  is  essentially\n\
emulating a  normal floppy drive).}";
static char *c_help = "{Specifies the path and filename of the boot catalog\n\
to  be used when making an \"El Torito\" bootable CD.\n\
This option is required to make a bootable CD. This\n\
file  will be  created  by mkisofs  in  the  source\n\
filesystem,  so be sure the specified filename does\n\
not conflict with an existing  file,  as it will be\n\
quietly overwritten! \n\
Usually a name like \"boot.catalog\" is chosen.}";
static char *d_help = "{Omit  trailing period from files that do not have a\n\
period.  This violates the ISO9660 standard, but it\n\
happens to work on many systems.  Use with caution.}";
static char *D_help = "{Do not use deep directory relocation,  and  instead\n\
just  pack  them in the way we see them.  This violates\n\
the ISO9660 standard, but it  works  on  many\n\
systems.  Use with caution.}";
static char *f_help = "{Follow  symbolic links when generating the filesystem.\n\
When this option  is  not  in  use,  symbolic links\n\
will be entered using Rock Ridge if enabled, otherwise\n\
the file will be ignored.}";
static char *l_help = "{Allow full 32 character  filenames.   Normally  the\n\
ISO9660  filename will be in an 8.3 format which is\n\
compatible with MS-DOS,  even  though  the  ISO9660\n\
standard  allows  filenames of up to 32 characters.\n\
If you use this option, the disc may  be  difficult\n\
to  use on a MS-DOS system, but this comes in handy\n\
on some other systems (such  as  the  Amiga).   Use\n\
with caution.}";
static char *L_help = "{Allow filenames to begin with a period.  Usually, a\n\
leading dot is replaced with an underscore in order\n\
to maintain MS-DOS compatibility.}";
static char *m_help = "{Exclude  glob from being written to CDROM.  glob is\n\
a shell wild-card-style  pattern  that  must  match\n\
part  of  the filename.}";
static char *N_help = "{Omit version numbers from ISO9660 file names.  This\n\
may violate the ISO9660 standard, but no one really\n\
uses the version numbers anyway.  Use with caution.}";
static char *R_help = "{Generate SUSP and RR records using the  Rock  Ridge\n\
protocol  to  further  describe  the  files  on the\n\
iso9660 filesystem.}";
static char *r_help = "{The uid and gid of files are set to zero,  all the \n\
file  read bits are  set  true,  so that files  and\n\
directories are globally readable on the client. If\n\
any execute bit  is  set for a file, set all of the\n\
execute  bits,  so  that executables  are  globally\n\
executable on the client. If any search  bit is set\n\
for a  directory,  set all of the search  bits,  so\n\
that  directories  are  globally searchable on  the\n\
client.   All  write  bits are cleared, because the\n\
CD-Rom will be  mounted  readonly  in any case.  If\n\
any of the  special mode  bits are set, clear them,\n\
because file locks  are  not useful  on a read-only\n\
file system,  and set-id bits are not desirable for\n\
uid 0 or gid 0.}";
static char *T_help = "{Generate a file TRANS.TBL in each directory on  the\n\
CDROM,  which can be used on non-Rock Ridge capable\n\
systems to help establish the correct  file  names.\n\
There  is also information present in the file that\n\
indicates the major and minor numbers for block and\n\
character devices, and each symlink has the name of\n\
the link file given.}";
static char *x_help = "{Exclude path from being  written  to  CDROM.   path\n\
must  be  the  complete  pathname that results from\n\
concatenating the pathname given  as  command  line\n\
argument  and  the path relative to this directory.\n\
Multiple paths may be excluded (up to 1000).}";

